Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 818489 - gooddata-cl requires old jakarta-commons-* packages
Summary: gooddata-cl requires old jakarta-commons-* packages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gooddata-cl
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-03 08:39 UTC by Stanislav Ochotnicky
Modified: 2013-07-24 12:46 UTC (History)
2 users (show)

Fixed In Version: gooddata-cl-1.2.56-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 12:46:14 UTC


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2012-05-03 08:39:32 UTC
Package gooddata-cl and/or subpackages either requires or buildrequires following jakarta-commons packages:
jakarta-commons-beanutils
jakarta-commons-cli
jakarta-commons-codec
jakarta-commons-collections
jakarta-commons-lang
jakarta-commons-logging
jakarta-commons-net

These packages have been deprecated and apache-commons variants should be used in their place. Please update your package.

Comment 1 Fedora End Of Life 2013-04-03 18:17:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Mat Booth 2013-07-24 12:46:14 UTC
gooddata-cl-1.2.56-6 is now built in rawhide, closing.

Only remaining jakarta-* dep is httpclient, but that still exists as a package in Fedora. Migrating to httpcomponents is an upstream porting job.


Note You need to log in before you can comment on or make changes to this bug.